2021-04-22 19:31 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005827Spring engineBuildbotpublic2017-11-07 23:16
Reportercontrapunctus 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0005827: Unable to start - cannot find libunwind
DescriptionRunning Spring v104.0.1-75-g341c771 (downloaded by Zero-K's Chobby) -

$ Zero-K/engine/linux32/104.0.1-75-g341c771/spring
Zero-K/engine/linux32/104.0.1-75-g341c771/spring: error while loading shared libraries: libunwind.so.7: cannot open shared object file: No such file or directory

libunwind8 v1.1-4.1 is installed.

Debian GNU/Linux 9.2 (Stretch)

$ uname -a
Linux localhost 3.16.0-4-686-pae #1 SMP Debian 3.16.43-2 (2017-04-30) i686 GNU/Linux
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • txt file icon infolog.txt (6,025 bytes) 2017-11-06 16:04 -
    Using writeable configuration source: "/home/anon/Zero-K/engine/linux32/104.0.1-55-g5d0ff28/springsettings.cfg"
    Using additional read-only configuration source: "/home/anon/.config/spring/springsettings.cfg"
    Using additional read-only configuration source: "/home/anon/.spring/springsettings.cfg"
    Available log sections: FarTextureHandler, VFS, Model, LuaSocket, BumpWater, Path, DecalsDrawerGL4, OBJParser, DynWater, Sound, Piece, AutohostInterface, ArchiveScanner, Net, Texture, CSMFGroundTextures, CrashHandler, CregSerializer, RoamMeshDrawer, KeyBindings, GroundMoveType, Font, SkyBox, GameServer, Shader, ModelRenderContainer
    Enabled log sections: Sound(Notice)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    ============== <User Config> ==============
      Fullscreen = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      RotateLogFiles = 1
      ShowPlayerInfo = 0
      SpringData = /home/anon/.spring:
      TeamHighlight = 0
      snd_volmaster = 26
    ============== </User Config> ==============
    ============== <User System> ==============
      Spring 104.0.1-55-g5d0ff28 maintenance
        Build Environment: boost-105700, GNU libstdc++ version 20150623
         Compiler Version: gcc-4.8.5
         Operating System: Linux 3.16.0-4-686-pae #1 SMP Debian 3.16.43-2 (2017-04-30) i686
         Binary Word Size: 32-bit native
         Deque Chunk Size: 128
            Process Clock: std::chrono::high_resolution_clock
       Physical CPU Cores: 2
        Logical CPU Cores: 4
    ============== </User System> ==============
    [good_fpu_init] CPU SSE mask: 127, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    [WatchDogInstall] Installed (HangTimeout: 10sec)
    [WatchDog::RegisterThread] registering controls for thread [main]
    [CrashHandler] Error: Aborted (SIGABRT) in spring 104.0.1-55-g5d0ff28 maintenance
    [CrashHandler] Error: Halted Stacktrace for Spring 104.0.1-55-g5d0ff28 maintenance using libunwind:
    [CrashHandler] Error: This stack trace indicates a problem with your graphic card driver. Please try upgrading or downgrading it. Specifically recommended is the latest driver, and one that is as old as your graphic card. Also try lower graphic details and disabling Lua widgets in spring-settings.
    
    [CrashHandler] Error: [04]   /build/glibc-rL1y2Q/glibc-2.24/signal/../sysdeps/unix/sysv/linux/raise.c:51 (discriminator 4)  __GI_raise
    [CrashHandler] Error: [05]                                                /build/glibc-rL1y2Q/glibc-2.24/stdlib/abort.c:91  __GI_abort
    [CrashHandler] Error: [06]                             /build/glibc-rL1y2Q/glibc-2.24/assert/assert.c:53 (discriminator 1)  __assert_fail_base
    [CrashHandler] Error: [07]                                            /lib/i386-linux-gnu/libc.so.6(+0x24a9b) [0xb71bea9b]  __assert_fail
    [CrashHandler] Error: [10]                                       /usr/lib/i386-linux-gnu/libGL.so.1(+0x498f6) [0xb75be8f6]  glXGetDriverConfig
    [CrashHandler] Error: [11]                                 /usr/lib/i386-linux-gnu/dri/i965_dri.so(+0x3a2b66) [0xb479ab66]  __driDriverGetExtensions_i915
    [CrashHandler] Error: [12]                                 /usr/lib/i386-linux-gnu/dri/i965_dri.so(+0x3a2fcc) [0xb479afcc]  __driDriverGetExtensions_i915
    [CrashHandler] Error: [13]                                 /usr/lib/i386-linux-gnu/dri/i965_dri.so(+0x3a30e7) [0xb479b0e7]  __driDriverGetExtensions_i915
    [CrashHandler] Error: [14]                                 /usr/lib/i386-linux-gnu/dri/i965_dri.so(+0x34fe0f) [0xb4747e0f]  ??
    [CrashHandler] Error: [15]                                       /usr/lib/i386-linux-gnu/libGL.so.1(+0x44625) [0xb75b9625]  glXGetDriverConfig
    [CrashHandler] Error: [16]                     /usr/lib/i386-linux-gnu/libGL.so.1(glXMakeCurrentReadSGI+0x98) [0xb758c948]  glXMakeCurrentReadSGI
    [CrashHandler] Error: [17]                            /usr/lib/i386-linux-gnu/libGL.so.1(glXMakeCurrent+0x16) [0xb758cba6]  glXMakeCurrent
    [CrashHandler] Error: [18]                                 /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xc91b6) [0xb76cc1b6]  SDL_LogCritical
    [CrashHandler] Error: [19]                                 /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xc94b4) [0xb76cc4b4]  SDL_LogCritical
    [CrashHandler] Error: [20]                                 /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xba1ff) [0xb76bd1ff]  SDL_LogCritical
    [CrashHandler] Error: [21]                                 /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xbb191) [0xb76be191]  SDL_LogCritical
    [CrashHandler] Error: [22]                                 /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0x10cda) [0xb7613cda]  ??
    [CrashHandler] Error: [29]                                      /build/glibc-rL1y2Q/glibc-2.24/csu/../csu/libc-start.c:291  __libc_start_main
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    Error: [ExitSpringProcess] errorMsg="Spring has crashed:
    Aborted (SIGABRT).
    
    A stacktrace has been written to:
      /home/anon/Zero-K/engine/linux32/104.0.1-55-g5d0ff28/infolog.txt" msgCaption="Spring crashed" mainThread=1
    Error: [Watchdog::ClearTimer(id)] Invalid thread 4 (_threadId=(nil))
    [SpringApp::Kill][1] fromRun=0
    [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=2 (init=1)
    	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [SpringApp::Kill][2]
    [SpringApp::Kill][3]
    [SpringApp::Kill][4] font=(nil)
    [SpringApp::Kill][5]
    [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [SpringApp::Kill][8]
    Error: [Watchdog::DeregisterThread] Invalid thread number 0
    [WatchDog::Uninstall][1] hangDetectorThread=0x8ff598c (joinable=1)
    [WatchDog::Uninstall][2]
    [WatchDog::Uninstall][3]
    [SpringApp::Kill][9]
    
    txt file icon infolog.txt (6,025 bytes) 2017-11-06 16:04 +

-Relationships
related to 0005294resolvedabma Upgrade GCC 
+Relationships

-Notes

~0018615

contrapunctus (reporter)

I created a symlink called libunwind.so.7 -
$ ln -is /usr/lib/i386-linux-gnu/libunwind.so.8 /usr/lib/i386-linux-gnu/libunwind.so.7

Trying to run Spring now gives me the attached stack trace.

~0018616

Kloot (developer)

Last edited: 2017-11-06 16:41

View 3 revisions

driver triggered an assertion in glXGetDriverConfig while setting up Spring's GL context.

since you run Debian: how old is your mesa i965_dri?

~0018618

contrapunctus (reporter)

> how old is your mesa i965_dri?
I don't understand what package this refers to; hopefully it's one of these -

$ dpkg -l | grep mesa.*dri
ii libgl1-mesa-dri:i386 13.0.6-1+b2 i386 free implementation of the OpenGL API -- DRI modules
ii mesa-vdpau-drivers:i386 13.0.6-1+b2 i386 Mesa VDPAU video acceleration drivers

$ dpkg -l | grep 965
ii i965-va-driver:i386 1.7.3-1 i386 VAAPI driver for Intel G45 & HD Graphics family

~0018623

abma (administrator)

libunwind should be staticly linked, thats a bug in the linux32 buildbot setup.

~0018624

abma (administrator)

should be fixed:
http://buildbot.springrts.com/builders/linux-static-x32/builds/2926/steps/ldd/logs/stdio

latest 32 builds don't depend on libunwind anymore:

https://springrts.com/dl/buildbot/default/develop/104.0.1-327-gc5ff5a5/linux32/

~0018625

abma (administrator)

please try again with a current build and remove the symlink /usr/lib/i386-linux-gnu/libunwind.so.7


there is a reason why libunwind.so.7 was renamed to libunwind.so.8. afaik such renames are done when the ABI changes.

~0018626

abma (administrator)

when i trun the executable on a 64 bit system i get a failed assert + stacktrace. the output from console:

spring: /usr/i686-pc-linux-gnu/tmp/portage/x11-libs/libxcb-1.10/work/libxcb-1.10/src/xcb_out.c:398: _xcb_out_flush_to: Assertion `((int64_t) ((c->out.request_written) - (request)) >= 0)' failed.
[CrashHandler] Error: Aborted (SIGABRT) in spring 104.0.1-327-gc5ff5a5 develop
[CrashHandler] Error: Halted Stacktrace for Spring 104.0.1-327-gc5ff5a5 develop using libunwind:
[CrashHandler] Error: [00] ./spring() [0x85c8605] log_util_prepareSection
[CrashHandler] Error: [01] ./spring() [0x85c8ec3] log_util_prepareSection
[CrashHandler] Error: [04] /lib/i386-linux-gnu/libc.so.6(gsignal+0xb0) [0xf71e6dc0] gsignal
[CrashHandler] Error: [05] /lib/i386-linux-gnu/libc.so.6(abort+0x157) [0xf71e8287] abort
[CrashHandler] Error: [06] /lib/i386-linux-gnu/libc.so.6(+0x24a17) [0xf71dfa17] uselocale
[CrashHandler] Error: [07] /lib/i386-linux-gnu/libc.so.6(+0x24a9b) [0xf71dfa9b] __assert_fail
[CrashHandler] Error: [08] ./spring() [0x8710742] xcb_send_request
[CrashHandler] Error: [09] ./spring(xcb_flush+0x38) [0x8710978] ??
[CrashHandler] Error: [10] /usr/lib/i386-linux-gnu/libGL.so.1(+0x498f6) [0xf75d48f6] glXGetDriverConfig
[CrashHandler] Error: [11] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x310e33) [0xf4353e33] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [12] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x30c1c3) [0xf434f1c3] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [13] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x1f8669) [0xf423b669] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [14] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x1f8fca) [0xf423bfca] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [15] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x30bc3b) [0xf434ec3b] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [16] /usr/lib/i386-linux-gnu/dri/radeonsi_dri.so(+0x30aacf) [0xf434dacf] __driDriverGetExtensions_virtio_gpu
[CrashHandler] Error: [17] /usr/lib/i386-linux-gnu/libGL.so.1(+0x44625) [0xf75cf625] glXGetDriverConfig
[CrashHandler] Error: [18] /usr/lib/i386-linux-gnu/libGL.so.1(glXMakeCurrentReadSGI+0x98) [0xf75a2948] glXMakeCurrentReadSGI
[CrashHandler] Error: [19] /usr/lib/i386-linux-gnu/libGL.so.1(glXMakeCurrent+0x16) [0xf75a2ba6] glXMakeCurrent
[CrashHandler] Error: [20] /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xc91b6) [0xf76ec1b6] SDL_LogCritical
[CrashHandler] Error: [21] /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xc94b4) [0xf76ec4b4] SDL_LogCritical
[CrashHandler] Error: [22] /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xba1ff) [0xf76dd1ff] SDL_LogCritical
[CrashHandler] Error: [23] /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0xbb191) [0xf76de191] SDL_LogCritical
[CrashHandler] Error: [24] /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0(+0x10cda) [0xf7633cda] ??
[CrashHandler] Error: [25] ./spring() [0x8461f6e] void std::deque<std::array<unsigned char, 868u>, std::allocator<std::array<unsigned char, 868u [...]
[CrashHandler] Error: [26] ./spring() [0x8566392] safe_strcat
[CrashHandler] Error: [27] ./spring() [0x85694f6] safe_strcat
[CrashHandler] Error: [28] ./spring() [0x8569db9] safe_strcat
[CrashHandler] Error: [29] ./spring() [0x85512e7] std::vector<unsigned char, std::allocator<unsigned char> >::operator=(std::vector<unsigned cha [...]
[CrashHandler] Error: [30] ./spring() [0x813ad4c] _XEatDataWords
[CrashHandler] Error: [31] /lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf6) [0xf71d3276] __libc_start_main
[CrashHandler] Error: [32] ./spring() [0x815a55f] _start

*the failing assert isn't logged to infolog.txt*

looks more like linux32 is broken in general.

-> 0005294 (again)
+Notes

-Issue History
Date Modified Username Field Change
2017-11-05 22:02 contrapunctus New Issue
2017-11-06 16:04 contrapunctus File Added: infolog.txt
2017-11-06 16:04 contrapunctus Note Added: 0018615
2017-11-06 16:36 Kloot Note Added: 0018616
2017-11-06 16:37 Kloot Note Edited: 0018616 View Revisions
2017-11-06 16:41 Kloot Note Edited: 0018616 View Revisions
2017-11-07 15:05 contrapunctus Note Added: 0018618
2017-11-07 19:17 abma Severity block => major
2017-11-07 19:17 abma Category => Buildbot
2017-11-07 19:18 abma Note Added: 0018623
2017-11-07 19:18 abma Assigned To => abma
2017-11-07 19:18 abma Status new => assigned
2017-11-07 23:05 abma Assigned To abma =>
2017-11-07 23:05 abma Status assigned => new
2017-11-07 23:05 abma Note Added: 0018624
2017-11-07 23:08 abma Assigned To => abma
2017-11-07 23:08 abma Status new => resolved
2017-11-07 23:08 abma Resolution open => fixed
2017-11-07 23:08 abma Note Added: 0018625
2017-11-07 23:16 abma Note Added: 0018626
2017-11-07 23:16 abma Relationship added related to 0005294
+Issue History